org.springframework.data.domain

## Class ExampleMatcher.PropertySpecifier

- java.lang.Object
- - org.springframework.data.domain.ExampleMatcher.PropertySpecifier

Enclosing interface:
  ExampleMatcher

    public static class ExampleMatcher.PropertySpecifier
    extends Object

Define specific property handling for a Dot-Path.

Since:
  1.12
Author:
  Christoph Strobl, Mark Paluch

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `canEqual(Object other)`
`boolean` `equals(Object o)`
`Boolean` `getIgnoreCase()`
`String` `getPath()` Get the properties Dot-Path.
`ExampleMatcher.PropertyValueTransformer` `getPropertyValueTransformer()` Get the property transformer to be applied.
`ExampleMatcher.StringMatcher` `getStringMatcher()` Get the `ExampleMatcher.StringMatcher`.
`int` `hashCode()`
`Optional<Object>` `transformValue(Optional<Object> source)` Transforms a given source using the `ExampleMatcher.PropertyValueTransformer`.
`ExampleMatcher.PropertySpecifier` `withIgnoreCase(boolean ignoreCase)` Creates a new `ExampleMatcher.PropertySpecifier` containing all values from the current instance and sets `ignoreCase`.
`ExampleMatcher.PropertySpecifier` `withStringMatcher(ExampleMatcher.StringMatcher stringMatcher)` Creates a new `ExampleMatcher.PropertySpecifier` containing all values from the current instance and sets `ExampleMatcher.StringMatcher` in the returned instance.
`ExampleMatcher.PropertySpecifier` `withValueTransformer(ExampleMatcher.PropertyValueTransformer valueTransformer)` Creates a new `ExampleMatcher.PropertySpecifier` containing all values from the current instance and sets `ExampleMatcher.PropertyValueTransformer` in the returned instance.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withStringMatcher

    public ExampleMatcher.PropertySpecifier withStringMatcher(ExampleMatcher.StringMatcher stringMatcher)

Creates a new `ExampleMatcher.PropertySpecifier` containing all values from the current instance and sets `ExampleMatcher.StringMatcher` in the returned instance.

Parameters:
  `stringMatcher` - must not be null.
Returns:

#### withIgnoreCase

    public ExampleMatcher.PropertySpecifier withIgnoreCase(boolean ignoreCase)

Creates a new `ExampleMatcher.PropertySpecifier` containing all values from the current instance and sets `ignoreCase`.

Parameters:
  `ignoreCase` - must not be null.
Returns:

#### withValueTransformer

    public ExampleMatcher.PropertySpecifier withValueTransformer(ExampleMatcher.PropertyValueTransformer valueTransformer)

Creates a new `ExampleMatcher.PropertySpecifier` containing all values from the current instance and sets `ExampleMatcher.PropertyValueTransformer` in the returned instance.

Parameters:
  `valueTransformer` - must not be null.
Returns:

#### getPath

    public String getPath()

Get the properties Dot-Path.

Returns:
  never null.

#### getStringMatcher

    @Nullable
    public ExampleMatcher.StringMatcher getStringMatcher()

Get the `ExampleMatcher.StringMatcher`.

Returns:
  can be null.

#### getIgnoreCase

    @Nullable
    public Boolean getIgnoreCase()

Returns:
  null if not set.

#### getPropertyValueTransformer

    public ExampleMatcher.PropertyValueTransformer getPropertyValueTransformer()

Get the property transformer to be applied.

Returns:
  never null.

#### transformValue

    public Optional<Object> transformValue(Optional<Object> source)

Transforms a given source using the `ExampleMatcher.PropertyValueTransformer`.

Parameters:
  `source` -
Returns:

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### canEqual

    protected boolean canEqual(Object other)